Download it now!
Bug 74111 - Charts - 3D Rotation is missing after Round trip
Summary: Charts - 3D Rotation is missing after Round trip
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Priyanka Gaikwad
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-27 09:30 UTC by Priyanka Gaikwad
Modified: 2014-03-18 13:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Pie Chart rotation (22.98 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-13 07:01 UTC, Priyanka Gaikwad
Details
Pie Chart rotation (22.96 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-13 07:01 UTC, Priyanka Gaikwad
Details
Pie Chart docx (24.25 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-17 08:10 UTC, Priyanka Gaikwad
Details
Pie Chart Docx (24.35 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-17 08:11 UTC, Priyanka Gaikwad
Details
Pie Chart Docx (24.36 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-17 08:11 UTC, Priyanka Gaikwad
Details
Pie Chart Docx (24.37 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-17 08:11 UTC, Priyanka Gaikwad
Details
Pie Chart Docx (24.38 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-17 08:12 UTC, Priyanka Gaikwad
Details
Pie Chart Docx (24.38 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-17 08:12 UTC, Priyanka Gaikwad
Details
Pie Chart Docx (24.39 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-17 08:13 UTC, Priyanka Gaikwad
Details
Pie Chart Docx (24.38 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-17 08:13 UTC, Priyanka Gaikwad
Details
Screenshot for possible rotation values (134.69 KB, image/png)
2014-02-17 13:52 UTC, Priyanka Gaikwad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2014-01-27 09:30:07 UTC
3D Rotation is lost after Round trip for column chart,line chart and pie chart.
Comment 1 Jorendc 2014-02-01 15:09:30 UTC
Looks like there is already a commit in review. (https://gerrit.libreoffice.org/#/c/7718/)

So, lets mark this one as NEW right away.

Thanks for your work on this!
Kind regards,
Joren
Comment 2 Commit Notification 2014-02-12 02:08:06 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c753c0b937ee4a86ac6a5f2617ffb59f65e7e713

fdo#74111 3D Rotation is wrong after Round trip for bar chart



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Priyanka Gaikwad 2014-02-13 07:01:02 UTC
Created attachment 93987 [details]
Pie Chart rotation
Comment 4 Priyanka Gaikwad 2014-02-13 07:01:29 UTC
Created attachment 93988 [details]
Pie Chart rotation
Comment 5 Priyanka Gaikwad 2014-02-17 08:10:39 UTC
Created attachment 94192 [details]
Pie Chart docx
Comment 6 Priyanka Gaikwad 2014-02-17 08:11:08 UTC
Created attachment 94193 [details]
Pie Chart Docx
Comment 7 Priyanka Gaikwad 2014-02-17 08:11:38 UTC
Created attachment 94194 [details]
Pie Chart Docx
Comment 8 Priyanka Gaikwad 2014-02-17 08:11:59 UTC
Created attachment 94195 [details]
Pie Chart Docx
Comment 9 Priyanka Gaikwad 2014-02-17 08:12:24 UTC
Created attachment 94196 [details]
Pie Chart Docx
Comment 10 Priyanka Gaikwad 2014-02-17 08:12:44 UTC
Created attachment 94197 [details]
Pie Chart Docx
Comment 11 Priyanka Gaikwad 2014-02-17 08:13:07 UTC
Created attachment 94198 [details]
Pie Chart Docx
Comment 12 Priyanka Gaikwad 2014-02-17 08:13:33 UTC
Created attachment 94199 [details]
Pie Chart Docx
Comment 13 Priyanka Gaikwad 2014-02-17 13:52:36 UTC
Created attachment 94206 [details]
Screenshot for possible rotation values
Comment 14 Commit Notification 2014-03-12 01:43:20 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b6e395152b48e412d3addde7d8b3808b28d32c6

fdo#74111 3D Rotation is wrong after Round trip for pie chart



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.